export interface IFile {
    name: string;
    content: string;
}
export interface IAttrs {
    id?: string;
    [property: string]: string | number;
}
export interface ICleanOptions {
    stripIndent?: boolean;
    stripEmptyGroup?: boolean;
    stripEmptyDefinition?: boolean;
    stripComment?: boolean;
    stripTitle?: boolean;
    stripDescription?: boolean;
    stripExtraAttributes?: boolean;
    stripFill?: boolean;
    stripStyles?: boolean;
}
export interface IOptions {
    ignore?: string[];
    parentAttrs?: IAttrs;
    inline?: boolean;
    iconAttrs?: IAttrs;
    iconPrefix?: string;
    iconSuffix?: string;
    clean?: ICleanOptions;
}
export interface IResult {
    sprite: string;
    write: (filepath: string) => void;
}
