'use strict';
function makeAttributes(attrs) {
    let str = '';
    Object.keys(attrs).forEach((property) => {
        str += ` ${property}="${attrs[property]}"`;
    });
    return str;
}
exports.makeAttributes = makeAttributes;
function updateAttributes(file, attrs) {
    Object.keys(attrs).forEach((property) => {
        const regexp = new RegExp(` ${property}="([^"]+)"`);
        if (regexp.test(file.content)) {
            file.content = file.content.replace(regexp, ` ${property}="${attrs[property]}"`);
        }
        else {
            file.content = file.content.replace(/\<svg/g, `<svg ${property}="${attrs[property]}"`);
        }
    });
    return file.content;
}
exports.updateAttributes = updateAttributes;
