'use strict';
function clean(content, options) {
    content = content.replace(/<.*?(xml\s|dtd).*?>/g, '');
    if (options.stripComment) {
        content = content.replace(/<!--.*?-->/g, '');
    }
    if (options.stripEmptyDefinition) {
        content = content.replace(/<defs><\/defs>/g, '');
    }
    if (options.stripEmptyGroup) {
        content = content.replace(/<g><\/g>/g, '');
    }
    if (options.stripTitle) {
        content = content.replace(/<title>.*?<\/title>/g, '');
    }
    if (options.stripDescription) {
        content = content.replace(/<desc>.*?<\/desc>/g, '');
    }
    if (options.stripExtraAttributes) {
        content = content
            .replace(/\ssketch:type=".*?"/g, '')
            .replace(/\s(xmlns|xmlns:.*?)=".*?"/g, '');
    }
    if (options.stripFill) {
        content = content.replace(/\sfill(?::|=").*?[;"]/g, '');
    }
    if (options.stripStyles) {
        content = content
            .replace(/\sstyle=".*?"/g, '')
            .replace(/<style(?:.|\n)*?style>/g, '')
            .replace(/\sfill(?::|=").*?[;"]/g, '');
    }
    if (options.stripIndent) {
        content = content.replace(/[\r\n\t]|\s{2,}/g, '');
    }
    return content;
}
exports.clean = clean;
