'use strict';
const path = require('path');
const fs = require('fs');
const readdir = require('recursive-readdir');
const mkdirp = require('mkdirp');
function readdirPromise(dir, ignore) {
    return new Promise((resolve, reject) => {
        readdir(dir, ignore, (err, files) => {
            if (err) {
                reject(err);
            }
            resolve(files);
        });
    });
}
exports.readdirPromise = readdirPromise;
function readFilePromise(filepath, encode) {
    return new Promise((resolve, reject) => {
        fs.readFile(filepath, encode, (err, files) => {
            if (err) {
                reject(err);
            }
            resolve(files);
        });
    });
}
exports.readFilePromise = readFilePromise;
function writeFilePromise(filepath, data) {
    return new Promise((resolve, reject) => {
        mkdirp(path.dirname(filepath), (mkdirpError) => {
            if (mkdirpError) {
                reject(mkdirpError);
            }
            fs.writeFile(filepath, data, (writeError, files) => {
                if (writeError) {
                    reject(writeError);
                }
                resolve(files);
            });
        });
    });
}
exports.writeFilePromise = writeFilePromise;
